using System;
using System.Collections.Generic;
using ReactiveUI;
using YtYtAvalonia.Models;
using YtYtAvalonia.ViewModels;

namespace YtYtAvalonia.ViewModels
{
	public class RegistrationViewModel : ReactiveObject
	{

        SuharevaContext myConnection;
        User currentUser;
        public RegistrationViewModel(SuharevaContext myConnection)
        {
            this.myConnection = myConnection;
            CurrentUser = new User();
            myConnection.Add(currentUser);
        }
        

        public string Birthday { get => currentUser.Bithday.ToString(); set => currentUser.Bithday = Convert.ToDateTime(value); }
        public User CurrentUser { get => currentUser; set => currentUser = value; }


    }
}